Skip to content

Revoke an invite code and end the sessions it opened (admin)

POST
/api/v1/invites/{id}/revoke
curl --request POST \
--url https://example.com/api/v1/invites/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/revoke

Later sign-ins with the code fail and its open sessions end. Revoking twice is harmless.

id
required
Id
string format: uuid

Successful Response

Media typeapplication/json
InviteOut

An invite code as listed. The code itself is shown once, when it is made.

object
created_at
required
Created At
string format: date-time
created_by
Any of:
string
expires_at
Any of:
string format: date-time
id
required
Id
string format: uuid
label
required
Label
string
max_uses
Any of:
integer
revoked_at
Any of:
string format: date-time
role
required
Role

Authorization level of the caller, ordered viewer < reviewer < admin.

string
Allowed values: viewer reviewer admin
status
required
Status
string
Allowed values: active expired revoked spent
use_count
required
Use Count
integer

Example

{
"role": "viewer",
"status": "active"
}

Unauthorized

Problem

Application/problem+json body. Extension members (for example job_id) are allowed.

object
detail
Any of:
string
errors
Any of:
Array<object>
FieldError

One validation failure: where, what, and a stable machine code (never the input value).

object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
instance
Any of:
string
request_id
required
Request Id
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
key
additional properties
any

Example

{
"type": "about:blank"
}

Forbidden

Problem

Application/problem+json body. Extension members (for example job_id) are allowed.

object
detail
Any of:
string
errors
Any of:
Array<object>
FieldError

One validation failure: where, what, and a stable machine code (never the input value).

object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
instance
Any of:
string
request_id
required
Request Id
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
key
additional properties
any

Example

{
"type": "about:blank"
}

Not Found

Problem

Application/problem+json body. Extension members (for example job_id) are allowed.

object
detail
Any of:
string
errors
Any of:
Array<object>
FieldError

One validation failure: where, what, and a stable machine code (never the input value).

object
loc
required
Loc
Array
msg
required
Msg
string
type
required
Type
string
instance
Any of:
string
request_id
required
Request Id
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
key
additional properties
any

Example

{
"type": "about:blank"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.

Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.